: Class CharArrayIterator

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## calypso.util
Class CharArrayIterator

    java.lang.Object
      |
      +--calypso.util.CharArrayIterator

public final class CharArrayIterator
extends java.lang.Object
implements java.text.CharacterIterator

Constructor Summary
`CharArrayIterator(char[] aText, int aStartOffset, int aLength)`

Method Summary
`java.lang.Object` | `clone()`
`char` | `current()`
`char` | `first()`
`int` | `getBeginIndex()`
`int` | `getEndIndex()`
`int` | `getIndex()`
`char` | `last()`
`char` | `next()`
`char` | `previous()`
`char` | `setIndex(int aPosition)`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CharArrayIterator

    public CharArrayIterator(char[] aText,
                             int aStartOffset,
                             int aLength)

Method Detail

### first

    public char first()

  Specified by:
    first in interface java.text.CharacterIterator

### last

    public char last()

  Specified by:
    last in interface java.text.CharacterIterator

### current

    public char current()

  Specified by:
    current in interface java.text.CharacterIterator

### next

    public char next()

  Specified by:
    next in interface java.text.CharacterIterator

### previous

    public char previous()

  Specified by:
    previous in interface java.text.CharacterIterator

### setIndex

    public char setIndex(int aPosition)

  Specified by:
    setIndex in interface java.text.CharacterIterator

### getBeginIndex

    public int getBeginIndex()

  Specified by:
    getBeginIndex in interface java.text.CharacterIterator

### getEndIndex

    public int getEndIndex()

  Specified by:
    getEndIndex in interface java.text.CharacterIterator

### getIndex

    public int getIndex()

  Specified by:
    getIndex in interface java.text.CharacterIterator

### clone

    public java.lang.Object clone()

  Specified by:
    clone in interface java.text.CharacterIterator
  Overrides:
    clone in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD